<?php

        PG_Blocks::register_block_type( array(
            'name' => 'flexwebsite/pricing-plan',
            'title' => __( 'Pricing plan', 'flexwebsite' ),
            'category' => 'flex',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/pricing-plan/pricing-plan.js',
            'attributes' => array(
                'name' => array(
                    'type' => 'text',
                    'default' => 'Small'
                ),
                'subtitle' => array(
                    'type' => 'text',
                    'default' => 'For Individual Users'
                ),
                'price_monthly' => array(
                    'type' => 'text',
                    'default' => '10'
                ),
                'price_annual' => array(
                    'type' => 'text',
                    'default' => '100'
                ),
                'button_url' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
                ),
                'button_label' => array(
                    'type' => 'text',
                    'default' => 'Get Started Now'
                )
            ),
            'example' => array(
'name' => 'Small', 'subtitle' => 'For Individual Users', 'price_monthly' => '10', 'price_annual' => '100', 'button_url' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'button_label' => 'Get Started Now'
            ),
            'dynamic' => false,
            'has_inner_blocks' => true
        ) );
