<?php

        PG_Blocks::register_block_type( array(
            'name' => 'flexwebsite/services',
            'title' => __( 'Services', 'flexwebsite' ),
            'category' => 'flex',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/services/services.js',
            'attributes' => array(
                'section_id' => array(
                    'type' => 'text',
                    'default' => ''
                ),
                'label' => array(
                    'type' => 'text',
                    'default' => 'Features'
                ),
                'title' => array(
                    'type' => 'text',
                    'default' => 'Gain more insight into how people use your'
                ),
                'text' => array(
                    'type' => 'text',
                    'default' => 'With our integrated CRM, project management, collaboration and invoicing capabilities, you can manage every aspect of your business in one secure platform.'
                )
            ),
            'example' => array(
'section_id' => '', 'label' => 'Features', 'title' => 'Gain more insight into how people use your', 'text' => 'With our integrated CRM, project management, collaboration and invoicing capabilities, you can manage every aspect of your business in one secure platform.'
            ),
            'dynamic' => false,
            'has_inner_blocks' => true
        ) );
